_range_iterator.h File Reference
`#include "../tbb_stddef.h"`
`#include <iterator>`
Include dependency graph for _range_iterator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Functions

template<typename Container >
auto | tbb::internal::first (Container &c) -> decltype(begin(c))
template<typename Container >
auto | tbb::internal::first (const Container &c) -> decltype(begin(c))
template<typename Container >
auto | tbb::internal::last (Container &c) -> decltype(begin(c))
template<typename Container >
auto | tbb::internal::last (const Container &c) -> decltype(begin(c))
template<typename T , size_t size>
T * | tbb::internal::first (T(&arr)[size])
template<typename T , size_t size>
T * | tbb::internal::last (T(&arr)[size])

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.